import jax
import haiku

def f(x):
  return haiku.nets.MLP([300, 100, 10])(x)

f = haiku.transform(f)

rng = jax.random.PRNGKey(42)
x = jax.numpy.ones([8, 28 * 28])

params = f.init(rng, x)

with open('mlp_haiku.dot', 'w') as handle:
    handle.write(haiku.to_dot(f.apply)(params, None, x))

with open('mlp_haiku.mlir', 'w') as handle:
    lowered = jax.jit(f.apply).lower(params, None, x)
    handle.write(lowered.as_text())
